## nova-compute-flex 0.1.4

=== requirements.txt ===
pbr>=0.5.21,<1.0
Babel>=0.9.6
psutil
oslo.config
oslo.utils
oslo.serialization
lockfile

=== debian/changelog ===
nova-compute-flex (1:0.1.4-0ubuntu6) utopic; urgency=medium

  * debian/patches/fix-user-in-usernet.patch: Updated patch
    to fix missing library. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Oct 2014 18:40:57 -0400

nova-compute-flex (1:0.1.4-0ubuntu5) utopic; urgency=medium

  * debian/intall: Install the lxc-usernet-manage binary to 
    manage the /etc/lxc/lxc-usernet when adding instances. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Oct 2014 00:51:32 -0400

nova-compute-flex (1:0.1.4-0ubuntu4) utopic; urgency=medium

  * debian/patches/fix-user-in-usernet.patch: Updated patch
    with more comprensive fix. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Oct 2014 00:38:12 -0400

nova-compute-flex (1:0.1.4-0ubuntu3) utopic; urgency=medium

  * debian/patches/fix-user-in-usernet.patch: Updated to fix 
    typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Oct 2014 00:30:10 -0400

nova-compute-flex (1:0.1.4-0ubuntu2) utopic; urgency=medium

  * debian/patches/fix-user-in-usernet.patch: Fix hardcoded username 
    while creating the network.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 19 Oct 2014 23:39:16 -0400

nova-compute-flex (1:0.1.4-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - debian/control: Add python-oslo.utils and python-oslo.serialization 
      as dependencies.
    - debian/patches/fix-cgmanager-init.patch: Dropped fixed upstream.
    - debian/patches/fix-image-race.patch: Dropped fixed upstream.
    - debian/patches/fix-flex-namespace.patch: Dropped fixed upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 18 Oct 2014 21:35:25 -0400

nova-compute-flex (1:0.1.3-0ubuntu2) utopic; urgency=medium

  * debian/control: Add python-oslo.serialization
  * debian/patches/fix-typo.patch: Fix typo in starting containers 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Oct 2014 11:35:54 -0400

nova-compute-flex (1:0.1.3-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Oct 2014 20:49:54 -0400

nova-compute-flex (1:0.1.3~rc4-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Oct 2014 15:12:06 -0400

nova-compute-flex (1:0.1.3~rc3-0ubuntu1) utopic; urgency=medium

  * new upstream version 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Oct 2014 21:37:54 -0400

nova-compute-flex (1:0.1.3~rc2-0ubuntu3) utopic; urgency=medium

  * debian/patches/fix-ns-typo.patch: Fix typo 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 12 Oct 2014 12:28:57 -0400

nova-compute-flex (1:0.1.3~rc2-0ubuntu2) utopic; urgency=medium

  * debian/nova-compute: Update compute_driver 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 12 Oct 2014 09:21:41 -0400

nova-compute-flex (1:0.1.3~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-oslo.utils as a dependency 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 11 Oct 2014 22:12:14 -0400

nova-compute-flex (0.1.3.0~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Dropped:
      - debian/patches/fix-cgmanager-init.patch
      - debian/patches/fix-image-rage.patch
      - debian/patches/fix-flex-namespace.patch

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Oct 2014 10:06:02 -0400

nova-compute-flex (0.1.2~b3-0ubuntu2) utopic; urgency=medium

  * Fix installation of nova-compute-flex and python-nova.flex.
  * debian/patches/fix-cgmanager-init.patch: Fix race in cgmanager
    and starting LXC containers using flex. (LP: #1375305)
  * debian/patches/fix-image-race.patch: Check for image volume
    before trying to create it. (LP: #1375307)
  * debian/patches/fix-flex-namespace.patch: Fix conflict between
    nova namespace and nova.flex namespace.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 29 Sep 2014 14:27:20 -0400

nova-compute-flex (0.1.2~b3-0ubuntu1.2) utopic; urgency=medium

  * Initial release (LP: #1373029)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 23 Sep 2014 20:34:00 -0400

=== debian/control ===
Source: nova-compute-flex
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               python-all (>= 2.6.6.3~),
               python-babel,
               python-oslo.config,
               python-oslo.utils,
               python-pbr,
               python-psutil,
               python-setuptools,
               python-oslo.serialization
Standards-Version: 3.9.5

Package: nova-compute-flex
Architecture: all
Depends: btrfs-tools, lxc, nova-compute, python-nova.flex, ${misc:Depends}, ${python:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: Openstack Compute - Ubuntu Flex container support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for the Ubuntu Flex based
 container hypervisor, providing a secure way to run instances as LXC
 containers under OpenStack.

Package: python-nova.flex
Architecture: all
Section: python
Depends: python-babel, python-lxc, python-oslo.config, python-oslo.utils, python-psutil,
 python-oslo.serialization
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries - flex driver
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Flex driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@ --with python2
